add install script

This commit is contained in:
sorrel 2024-04-13 14:48:32 -04:00
parent cd14df1f11
commit 7f11ba1b61
2 changed files with 44 additions and 1 deletions

43
build Executable file
View file

@ -0,0 +1,43 @@
#!/bin/sh -e
# install.sh
installtarget=/usr/local/bin
chatlogdir=/var/log/bunkchat
chatlog=chat.log
if ! [$(id -u) = 0]; then
echo "ERROR: please run install with root permission" >&2
exit 1
fi
chattrfailed() {
set +e
rm -rf $chatlogdir
echo
echo "ERROR: could not set append only attribute in ${chatlogdir}"
echo " does your filesystem support 'chattr +a' ?"
exit 1
}
# do this setup first in case chattr fails
# mk chat directory and touch file
mkdir $chatlogdir
chmod 755 $chatlogdir
touch ${chatlogdir}/${chatlog}
chmod 666 ${chatlogdir}/${chatlog}
# if chattr +a not supported on this file system catch error and clean up
chattr +a ${chatlogdir}/${chatlog} || chattrfailed
cp proclaim heed scry $installtarget
chmod 755 ${installtarget}/proclaim
chmod 755 ${installtarget}/heed
chmod 755 ${installtarget}/scry
chown root:root ${installtarget}/proclaim
chown root:root ${installtarget}/heed
chown root:root ${installtarget}/scry
echo "SUCCESS! bunkchat installed!"
exit 0

View file

@ -25,7 +25,7 @@ do
echo "╹ ╹┗╸┗━┛┗━╸┗━╸╹ ╹╹╹ ╹ ┗━┛┗━┛╹ ╹╹ ╹┗━╸╹ ╹╹ ╹ ╹ "
echo "You may view old chat with 'scry'!"
echo "----------------------------------"
printf "speak to the server: " >&2
printf "speak to the server: "
read -r text
makeSlug
echo "${prompt}: $text" >> $chatlog